---
date: 2021-05-15T11:45:00+02:00
title: "Privacy Policy"
type: singlepage
---

This privacy policy applies to [vrifox.cc](//vrifox.cc).

# What data do I store and process?

  - ip address ([anonymized](#anonymized-ips))
  - time of request
  - requested url
  - accessed file

This data is collected by nginx in log files. The data will not be given to any third party and deleted after three (3) days automatically.

## Anonymized IPs

Taken from [Ascraues Privacy Policy](https://ascraeus.org/page/privacy/) and modified:

```
  map $remote_addr $anon_remote_addr {
    ~(?P<ip>\d+\.\d+)\.         $ip.0.0;
    ~(?P<ip>[^:]+:[^:]+):       $ip::;
    default                     0.0.0.0;
  }

  log_format privacy '$anon_remote_addr [$time_local] '
                     '"$request" $status $bytes_sent ';

  access_log  /var/log/nginx/access.log privacy;
```

## No User Agent and Referrer

At least for now I don't need it for debugging purposes. This may change in the future. 

I used a custom [log_format](#anonymized-ips) to achieve this. 

## No Cookies

Cookies will not be set on these sites. I configured [nginx](https://nginx.org) to drop the header „Set-Cookie“ `proxy_hide_header Set-Cookie;`.

## No Tracking and Analytics

I don't track you, I don't collect data for analytics, I have no use for it. And I don't want to be tracked or analyzed either.

# Credits

This privacy policy was inspired by [Natenoms Datenschutz[-erklärung]](https://blog.natenom.com/datenschutz/).
