---
title: "Projekte"
translationKey: "projects"
date: 2021-03-07T12:13:56+02:00
type: singlepage
---

Einige der Projekte, die ich über die letzten Jahre begonnen habe.

## Meine Seite
Jahrelang **(circa seit 2008)** habe ich ausschließlich HTML und CSS für die Erstellung meiner Webseiten genutzt, da ich es als Betrug meiner Selbst ansah etwas anderes zu verwenden. Doch **2020** habe ich realisiert, dass ich sogar noch einiges lernen und mehr erreichen kann, wenn ich einen sogenannten Static Site Generator verwende. Also habe ich meine Webseite mithilfe von [Hugo](https://gohugo.io) neu geschrieben.

Im **März 2021** habe ich meine Seite abermals überarbeitet, um sie minimalistischer und letztlich kompatibel zu [Gemini](https://gemini.circumlunar.space/) machen.

Aktuell **(März 2021)** denke ich darüber nach, meine Seite nochmal neu zu schreiben aber diesmal mit einem eigenen Static Site Generator. Das wird aber noch eine ganze Weile dauern, da ich erstmal Python lernen muss. :)

[Wie diese Webseite im September 2020 aussah](/upload/2020-09-23%20vrifox.cc%202020-09.jpg).

[Der Quellcode dieser Seite liegt auf code.cozy.town](https://code.cozy.town/vrifox/vrifox.cc).

**Verwendete Programme:** [Hugo](https://gohugo.io/)

## gitea theme
I use dark themes daily and gitea has one, but the contrast is pretty low, which makes reading texts very hard. So I started to create my own dark theme in **late september 2020**.

The last time I modified it was on the last day of 2020, because I read so many interesting and inspiring articles about minimalism in tech. One of my next projects will be to find a suitable alternative and then – well – use it! :)

I've created a gitea theme before, back in **2018**. It's [still available on code.cozy.town](https://code.cozy.town/vrifox/gitea-theme/src/branch/main/_legacy/2019-06-09%20gitea-theme-by-vrifox) if you're interested.

[A screenshot of git.vrifox.cc from 29 september 2020](/upload/2020-09-29%20git.vrifox.cc%202020-09.jpg)

[The source code can be found on code.cozy.town](https://code.cozy.town/vrifox/gitea-theme).

**Tools used:** SCSS

## Dinge für Natenom
In **2015** I created a [new logo](https://blog.natenom.com/2015/05/neues-logo-fuer-natenom/) for Natenom. And since than I do some random [graphics](https://blog.natenom.com/pixelart_icons/).

Also since **2015** I'm responsible for the design of [Natenoms blog](https://blog.natenom.com). I fix bugs related to wordpress themes and also changed the general design to a dark scheme. Other than that I also check the spelling and understandability.

On every page is a so called *„global top bar“* where you can reach the most important links – I created and maintain it.

In **2020** I helped natenom with his [new static website](https://www.natenom.com/).

[The source code can be found on code.cozy.town](https://code.cozy.town/vrifox/natenom-websites).

**Tools used:** HTML, Inkscape,  SCSS

## omega-for-mumble
*„omega-for-mumble“ is a simple & beautified skin / theme designed for the open-source and high quality voice-chat software mumble.*

I have created it in **2015**. It was neither my first nor last mumble theme to be honest.

[A screenshot of omega-for-mumble](/upload/2020-09-23%20omega-for-mumble%20theme.jpg).

[The source code can be found on code.cozy.town](https://code.cozy.town/vrifox/omega-for-mumble).

**Tools used:** SCSS and some QT tools.

## cursors
„cursors“ is an OSX inspired cursor set I've created in **2013**.

[How the cursors actually look like](/upload/2020-09-23%20cursors%202013-0706.png).

[The source can be found on code.cozy.town](https://code.cozy.town/vrifox/cursors).

**Tools used:** I don't remember actually
